package com.logicbig.example;

import javax.json.Json;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;
import javax.json.JsonWriter;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.nio.file.StandardOpenOption;
import java.time.LocalDateTime;

public class JsonWriterExample {
    public static void main(String[] args) throws IOException {
        JsonObjectBuilder theBuilder = Json.createObjectBuilder();
        theBuilder.add("message", "Hello world");
        theBuilder.add("date", LocalDateTime.now().toString());

        JsonObject jsonObject = theBuilder.build();

        javax.json.JsonWriter writer = Json.createWriter(
                Files.newBufferedWriter(Paths.get("d:\\json-example.txt"),
                        StandardOpenOption.CREATE));
        writer.writeObject(jsonObject);
        writer.close();
    }
}